#
#  -----------------
#  Begin edgeflap.py
#  -----------------
#
from abaqus import *
import testUtils
testUtils.setBackwardCompatibility()
from abaqusConstants import *
session.viewports['Viewport: 1'].makeCurrent()
from driverUtils import executeOnCaeStartup
executeOnCaeStartup()
Mdb()
mdb.models.changeKey(fromName='Model-1', toName='Edgeflap')
session.viewports['Viewport: 1'].setValues(displayedObject=None)
import part
import regionToolset
import displayGroupMdbToolset as dgm
s = mdb.models['Edgeflap'].Sketch(name='__profile__', sheetSize=50.0)
g, v, d = s.geometry, s.vertices, s.dimensions
s.sketchOptions.setValues(sheetSize=50.0, gridSpacing=1.0, grid=ON,
    gridFrequency=2, constructionGeometry=ON, dimensionTextHeight=1.0,
    decimalPlaces=2)
s.setPrimaryObject(option=STANDALONE)
s.Line(point1=(5.25, 10.99), point2=(-3.06073, 12.2026))
s.Line(point1=(-3.06073, 12.2026), point2=(-3.0, 9.07))
s.Line(point1=(-3.0, 9.07), point2=(-0.654522, 9.06869))
s.Line(point1=(-0.654522, 9.06869), point2=(-0.494381, 9.02601))
s.Line(point1=(-0.494381, 9.02601), point2=(-0.460499, 8.86306))
s.Line(point1=(-0.460499, 8.86306), point2=(-0.455143, 8.37031))
s.Line(point1=(-0.455143, 8.37031), point2=(0.0, 8.37))
s.Line(point1=(0.0, 8.37), point2=(0.108447, 8.42948))
s.Line(point1=(0.108447, 8.42948), point2=(0.146234, 8.56073))
s.Line(point1=(0.146234, 8.56073), point2=(0.425513, 10.8548))
s.Line(point1=(0.425513, 10.8548), point2=(0.555385, 10.9144))
session.viewports['Viewport: 1'].view.fitView()
mdb.models['Edgeflap'].sketches['__profile__'].sketchOptions.setValues(
    sheetSize=50.0, gridSpacing=1.0, grid=ON, gridFrequency=2,
    constructionGeometry=ON, dimensionTextHeight=1.0, decimalPlaces=2,
    gridSnap=OFF, preselection=ON)
s.Spline(points=((0.555385, 10.9144), (0.706331, 10.894), (1.00818, 10.8519), (
    1.31249, 10.8513), (1.60845, 10.921), (1.87834, 11.0615)))
s.Line(point1=(1.87834, 11.0615), point2=(3.55, 10.84))
session.viewports['Viewport: 1'].view.fitView()
s.Spline(points=((3.55, 10.84), (3.85174, 10.9248), (4.15734, 10.994), (4.625,
    11.0345), (5.0941, 11.0059), (5.25, 10.99)))
p = mdb.models['Edgeflap'].Part(name='Base', dimensionality=TWO_D_PLANAR,
    type=DEFORMABLE_BODY)
p = mdb.models['Edgeflap'].parts['Base']
p.BaseShell(sketch=s)
s.unsetPrimaryObject()
p = mdb.models['Edgeflap'].parts['Base']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
del mdb.models['Edgeflap'].sketches['__profile__']
s0 = mdb.models['Edgeflap'].Sketch(name='__profile__', sheetSize=50.0)
g, v, d = s0.geometry, s0.vertices, s0.dimensions
s0.sketchOptions.setValues(sheetSize=50.0, gridSpacing=1.0, grid=ON,
    gridFrequency=2, constructionGeometry=ON, dimensionTextHeight=1.0,
    decimalPlaces=2)
s0.setPrimaryObject(option=STANDALONE)
s0.unsetPrimaryObject()
del mdb.models['Edgeflap'].sketches['__profile__']
p = mdb.models['Edgeflap'].parts['Base']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
s = mdb.models['Edgeflap'].Sketch(name='__profile__', sheetSize=50.0)
g, v, d = s.geometry, s.vertices, s.dimensions
s.sketchOptions.setValues(sheetSize=50.0, gridSpacing=1.0, grid=ON,
    gridFrequency=2, constructionGeometry=ON, dimensionTextHeight=1.0,
    decimalPlaces=2)
s.setPrimaryObject(option=STANDALONE)
s.Spline(points=((10.72, 8.97), (9.84724, 9.55481), (8.23623, 10.3512), (5.15,
    10.95), (3.103, 10.6397), (2.27, 10.3254), (2.00566, 10.1904), (1.79799,
    9.98291), (1.75295, 9.84231), (1.76078, 9.695), (1.85305, 9.58459), (
    1.99305, 9.53602)))
s.Line(point1=(1.99305, 9.53602), point2=(0.94496, 9.53879))
s.Spline(points=((0.94496, 9.53879), (0.85496, 9.44879), (0.94496, 9.35879)))
s.Line(point1=(0.94496, 9.35879), point2=(2.90673, 9.35715))
s.Spline(points=((2.90673, 9.35715), (3.63717, 9.27826), (4.2224, 9.22393), (
    4.95534, 9.17367), (5.54252, 9.14789), (6.13, 9.13)))
session.viewports['Viewport: 1'].view.fitView()
s.Line(point1=(6.13, 9.13), point2=(7.5591, 8.26543))
s.Spline(points=((7.5591, 8.26543), (7.8409, 8.15249), (8.13454, 8.07527), (
    8.43489, 8.03053), (8.7381, 8.02031), (8.8843, 8.0586), (9.00323,
    8.15111), (9.02513, 8.29063), (8.90629, 8.38082), (8.75619, 8.3915), (
    8.4583, 8.33231), (8.3071, 8.31952), (8.15745, 8.34154), (8.02978,
    8.42106), (7.94893, 8.54842), (7.914, 8.69594), (7.8631, 8.99541), (
    7.9778, 9.14324), (8.16521, 9.25807), (8.28364, 9.33887), (8.42723,
    9.37155), (8.72138, 9.39178), (9.1636, 9.39849), (9.60218, 9.34431), (
    9.88702, 9.26818), (10.1665, 9.17406), (10.4438, 9.07353), (10.72, 8.97)))
#: Warning: Coincident point selected
s.moveVertices(vector=(-0.0409640922546384, 0.0428152261352537), vertexList=(
    v[43], ))
session.viewports['Viewport: 1'].view.fitView()
s.moveVertices(vector=(0.0214448493957518, -0.0337305413818356), vertexList=(
    v[44], ))
s.moveVertices(vector=(-0.0376894387817384, 0.0038204113769531), vertexList=(
    v[46], ))
session.viewports['Viewport: 1'].view.fitView()
s.moveVertices(vector=(0.056071515197754, 0.0204247424316399), vertexList=(
    v[49], ))
session.viewports['Viewport: 1'].view.fitView()
p = mdb.models['Edgeflap'].Part(name='Midflap', dimensionality=TWO_D_PLANAR,
    type=DEFORMABLE_BODY)
p = mdb.models['Edgeflap'].parts['Midflap']
p.BaseShell(sketch=s)
s.unsetPrimaryObject()
p = mdb.models['Edgeflap'].parts['Midflap']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
del mdb.models['Edgeflap'].sketches['__profile__']
s0 = mdb.models['Edgeflap'].Sketch(name='__profile__', sheetSize=50.0)
g, v, d = s0.geometry, s0.vertices, s0.dimensions
s0.sketchOptions.setValues(sheetSize=50.0, gridSpacing=1.0, grid=ON,
    gridFrequency=2, constructionGeometry=ON, dimensionTextHeight=1.0,
    decimalPlaces=2)
s0.setPrimaryObject(option=STANDALONE)
session.viewports['Viewport: 1'].view.fitView()
s0.Spline(points=((11.74, 8.35), (11.2276, 8.66029), (10.5537, 8.98506), (
    10.1277, 9.1274), (9.69445, 9.24627), (9.25454, 9.33682), (8.95616,
    9.35923), (8.65727, 9.34172), (8.36035, 9.30261), (8.21748, 9.25923), (
    8.1495, 9.1381), (8.24881, 9.0359), (8.39017, 8.98655), (8.68036,
    8.91261), (9.26556, 8.79389), (10.1389, 8.63722), (10.8667, 8.50667), (
    11.3033, 8.42833), (11.74, 8.35)))
session.viewports['Viewport: 1'].view.fitView()
s0.undo()
session.viewports['Viewport: 1'].view.fitView()
s0.Line(point1=(11.74, 8.35), point2=(11.2276, 8.66029))
s0.Spline(points=((11.2276, 8.66029), (10.5537, 8.98506), (10.1277, 9.1274), (
    9.69445, 9.24627), (9.25454, 9.33682), (8.95616, 9.35923), (8.65727,
    9.34172), (8.36035, 9.30261), (8.21748, 9.25923), (8.1495, 9.1381), (
    8.24881, 9.0359), (8.39017, 8.98655), (8.68036, 8.91261), (9.26556,
    8.79389), (10.1389, 8.63722), (10.8667, 8.50667), (11.3033, 8.42833), (
    11.74, 8.35)))
session.viewports['Viewport: 1'].view.fitView()
s0.moveVertices(vector=(0.038522213745118, -0.0359175439453132), vertexList=(
    v[23], ))
s0.moveVertices(vector=(0.010027983093261, -0.0282728643798826), vertexList=(
    v[21], ))
session.viewports['Viewport: 1'].view.fitView()
p = mdb.models['Edgeflap'].Part(name='Endflap', dimensionality=TWO_D_PLANAR,
    type=DEFORMABLE_BODY)
p = mdb.models['Edgeflap'].parts['Endflap']
p.BaseShell(sketch=s0)
s0.unsetPrimaryObject()
p = mdb.models['Edgeflap'].parts['Endflap']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
del mdb.models['Edgeflap'].sketches['__profile__']
p0 = mdb.models['Edgeflap'].parts['Endflap']
s = p0.features['Shell planar-1'].sketch
mdb.models['Edgeflap'].Sketch(name='__edit__', objectToCopy=s)
s1 = mdb.models['Edgeflap'].sketches['__edit__']
g, v, d = s1.geometry, s1.vertices, s1.dimensions
r, r0 = s1.referenceGeometry, s1.referenceVertices
s1.setPrimaryObject(option=SUPERIMPOSE)
p0.projectReferencesOntoSketch(sketch=s1,
    upToFeature=p0.features['Shell planar-1'], filter=COPLANAR_EDGES)
s1.moveVertices(vector=(0.0226971545410155, 0.00220550872802683), vertexList=(
    v[30], ))
session.viewports['Viewport: 1'].view.fitView()
s1.moveVertices(vector=(0.0154643743896479, -0.0206012310791017), vertexList=(
    v[27], ))
s1.moveVertices(vector=(0.049150910339355, -0.0283788378906245), vertexList=(
    v[26], ))
session.viewports['Viewport: 1'].view.fitView()
s1.unsetPrimaryObject()
p0 = mdb.models['Edgeflap'].parts['Endflap']
p0.features['Shell planar-1'].setValues(sketch=s1)
del mdb.models['Edgeflap'].sketches['__edit__']
p0 = mdb.models['Edgeflap'].parts['Endflap']
p0.regenerate()
p0 = mdb.models['Edgeflap'].parts['Endflap']
p0.features['Shell planar-1'].restore()
import assembly
import regionToolset
import displayGroupMdbToolset as dgm
#: Assembly module loaded
a = mdb.models['Edgeflap'].rootAssembly
session.viewports['Viewport: 1'].setValues(displayedObject=a)
a = mdb.models['Edgeflap'].rootAssembly
a.DatumCsysByDefault(CARTESIAN)
p = mdb.models['Edgeflap'].parts['Base']
a.Instance(name='Base-1', part=p, dependent=OFF)
a = mdb.models['Edgeflap'].rootAssembly
p = mdb.models['Edgeflap'].parts['Midflap']
a.Instance(name='Midflap-1', part=p, dependent=OFF)
a = mdb.models['Edgeflap'].rootAssembly
p = mdb.models['Edgeflap'].parts['Endflap']
a.Instance(name='Endflap-1', part=p, dependent=OFF)
from abaqus import *
import testUtils
testUtils.setBackwardCompatibility()
from abaqusConstants import *
session.viewports['Viewport: 1'].makeCurrent()
from driverUtils import executeOnCaeStartup
executeOnCaeStartup()
session.viewports['Viewport: 1'].setValues(displayedObject=None)
import part
import regionToolset
import displayGroupMdbToolset as dgm
p = mdb.models['Edgeflap'].parts['Endflap']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
s = mdb.models['Edgeflap'].Sketch(name='__profile__', sheetSize=50.0)
g, v, d = s.geometry, s.vertices, s.dimensions
s.sketchOptions.setValues(sheetSize=50.0, gridSpacing=1.0, grid=ON,
    gridFrequency=2, constructionGeometry=ON, dimensionTextHeight=1.0,
    decimalPlaces=2)
s.setPrimaryObject(option=STANDALONE)
s.Line(point1=(-0.13, 10.81), point2=(-0.89, 9.99))
p = mdb.models['Edgeflap'].Part(name='Arm_AB', dimensionality=TWO_D_PLANAR,
    type=DISCRETE_RIGID_SURFACE)
p = mdb.models['Edgeflap'].parts['Arm_AB']
p.BaseWire(sketch=s)
s.unsetPrimaryObject()
p = mdb.models['Edgeflap'].parts['Arm_AB']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
del mdb.models['Edgeflap'].sketches['__profile__']
s0 = mdb.models['Edgeflap'].Sketch(name='__profile__', sheetSize=50.0)
g, v, d = s0.geometry, s0.vertices, s0.dimensions
s0.sketchOptions.setValues(sheetSize=50.0, gridSpacing=1.0, grid=ON,
    gridFrequency=2, constructionGeometry=ON, dimensionTextHeight=1.0,
    decimalPlaces=2)
s0.setPrimaryObject(option=STANDALONE)
s0.Line(point1=(-0.89, 9.99), point2=(1.04, 10.12))
p = mdb.models['Edgeflap'].Part(name='Arm_BF', dimensionality=TWO_D_PLANAR,
    type=DISCRETE_RIGID_SURFACE)
p = mdb.models['Edgeflap'].parts['Arm_BF']
p.BaseWire(sketch=s0)
s0.unsetPrimaryObject()
p = mdb.models['Edgeflap'].parts['Arm_BF']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
del mdb.models['Edgeflap'].sketches['__profile__']
s = mdb.models['Edgeflap'].Sketch(name='__profile__', sheetSize=50.0)
g, v, d = s.geometry, s.vertices, s.dimensions
s.sketchOptions.setValues(sheetSize=50.0, gridSpacing=1.0, grid=ON,
    gridFrequency=2, constructionGeometry=ON, dimensionTextHeight=1.0,
    decimalPlaces=2)
s.setPrimaryObject(option=STANDALONE)
s.Line(point1=(1.66, 11.27), point2=(1.25, 10.59))
s.Line(point1=(1.25, 10.59), point2=(1.04, 10.12))
s.Line(point1=(1.04, 10.12), point2=(0.95, 9.41))
p = mdb.models['Edgeflap'].Part(name='Arm_DEFG', dimensionality=TWO_D_PLANAR,
    type=DISCRETE_RIGID_SURFACE)
p = mdb.models['Edgeflap'].parts['Arm_DEFG']
p.BaseWire(sketch=s)
s.unsetPrimaryObject()
p = mdb.models['Edgeflap'].parts['Arm_DEFG']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
del mdb.models['Edgeflap'].sketches['__profile__']
s0 = mdb.models['Edgeflap'].Sketch(name='__profile__', sheetSize=50.0)
g, v, d = s0.geometry, s0.vertices, s0.dimensions
s0.sketchOptions.setValues(sheetSize=50.0, gridSpacing=1.0, grid=ON,
    gridFrequency=2, constructionGeometry=ON, dimensionTextHeight=1.0,
    decimalPlaces=2)
s0.setPrimaryObject(option=STANDALONE)
s0.Line(point1=(1.25, 10.59), point2=(3.34, 8.88))
s0.unsetPrimaryObject()
del mdb.models['Edgeflap'].sketches['__profile__']
s = mdb.models['Edgeflap'].Sketch(name='__profile__', sheetSize=50.0)
g, v, d = s.geometry, s.vertices, s.dimensions
s.sketchOptions.setValues(sheetSize=50.0, gridSpacing=1.0, grid=ON,
    gridFrequency=2, constructionGeometry=ON, dimensionTextHeight=1.0,
    decimalPlaces=2)
s.setPrimaryObject(option=STANDALONE)
s.Line(point1=(1.25, 10.59), point2=(0.7, 10.59))
s.Line(point1=(0.7, 10.59), point2=(0.6, 9.1))
s.Line(point1=(0.6, 9.1), point2=(3.34, 8.88))
p = mdb.models['Edgeflap'].Part(name='Arm_EI', dimensionality=TWO_D_PLANAR,
    type=DISCRETE_RIGID_SURFACE)
p = mdb.models['Edgeflap'].parts['Arm_EI']
p.BaseWire(sketch=s)
s.unsetPrimaryObject()
p = mdb.models['Edgeflap'].parts['Arm_EI']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
del mdb.models['Edgeflap'].sketches['__profile__']
s0 = mdb.models['Edgeflap'].Sketch(name='__profile__', sheetSize=50.0)
g, v, d = s0.geometry, s0.vertices, s0.dimensions
s0.sketchOptions.setValues(sheetSize=50.0, gridSpacing=1.0, grid=ON,
    gridFrequency=2, constructionGeometry=ON, dimensionTextHeight=1.0,
    decimalPlaces=2)
s0.setPrimaryObject(option=STANDALONE)
s0.Line(point1=(0.0, 8.67), point2=(3.34, 8.88))
s0.Line(point1=(3.34, 8.88), point2=(6.03, 8.73))
p = mdb.models['Edgeflap'].Part(name='Arm_HIM', dimensionality=TWO_D_PLANAR,
    type=DISCRETE_RIGID_SURFACE)
p = mdb.models['Edgeflap'].parts['Arm_HIM']
p.BaseWire(sketch=s0)
s0.unsetPrimaryObject()
p = mdb.models['Edgeflap'].parts['Arm_HIM']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
del mdb.models['Edgeflap'].sketches['__profile__']
s = mdb.models['Edgeflap'].Sketch(name='__profile__', sheetSize=50.0)
g, v, d = s.geometry, s.vertices, s.dimensions
s.sketchOptions.setValues(sheetSize=50.0, gridSpacing=1.0, grid=ON,
    gridFrequency=2, constructionGeometry=ON, dimensionTextHeight=1.0,
    decimalPlaces=2)
s.setPrimaryObject(option=STANDALONE)
s.Line(point1=(6.03, 8.73), point2=(5.08, 9.83))
s.Line(point1=(5.08, 9.83), point2=(5.15, 10.59))
p = mdb.models['Edgeflap'].Part(name='Arm_MLJ', dimensionality=TWO_D_PLANAR,
    type=DISCRETE_RIGID_SURFACE)
p = mdb.models['Edgeflap'].parts['Arm_MLJ']
p.BaseWire(sketch=s)
s.unsetPrimaryObject()
p = mdb.models['Edgeflap'].parts['Arm_MLJ']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
del mdb.models['Edgeflap'].sketches['__profile__']
s0 = mdb.models['Edgeflap'].Sketch(name='__profile__', sheetSize=50.0)
g, v, d = s0.geometry, s0.vertices, s0.dimensions
s0.sketchOptions.setValues(sheetSize=50.0, gridSpacing=1.0, grid=ON,
    gridFrequency=2, constructionGeometry=ON, dimensionTextHeight=1.0,
    decimalPlaces=2)
s0.setPrimaryObject(option=STANDALONE)
s0.Line(point1=(5.15, 10.59), point2=(8.52, 9.18))
p = mdb.models['Edgeflap'].Part(name='Arm_JK', dimensionality=TWO_D_PLANAR,
    type=DISCRETE_RIGID_SURFACE)
p = mdb.models['Edgeflap'].parts['Arm_JK']
p.BaseWire(sketch=s0)
s0.unsetPrimaryObject()
p = mdb.models['Edgeflap'].parts['Arm_JK']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
del mdb.models['Edgeflap'].sketches['__profile__']
s = mdb.models['Edgeflap'].Sketch(name='__profile__', sheetSize=50.0)
g, v, d = s.geometry, s.vertices, s.dimensions
s.sketchOptions.setValues(sheetSize=50.0, gridSpacing=1.0, grid=ON,
    gridFrequency=2, constructionGeometry=ON, dimensionTextHeight=1.0,
    decimalPlaces=2)
s.setPrimaryObject(option=STANDALONE)
s.Line(point1=(8.52, 9.18), point2=(8.57, 8.22))
p = mdb.models['Edgeflap'].Part(name='Arm_NK', dimensionality=TWO_D_PLANAR,
    type=DISCRETE_RIGID_SURFACE)
p = mdb.models['Edgeflap'].parts['Arm_NK']
p.BaseWire(sketch=s)
s.unsetPrimaryObject()
p = mdb.models['Edgeflap'].parts['Arm_NK']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
del mdb.models['Edgeflap'].sketches['__profile__']
s0 = mdb.models['Edgeflap'].Sketch(name='__profile__', sheetSize=50.0)
g, v, d = s0.geometry, s0.vertices, s0.dimensions
s0.sketchOptions.setValues(sheetSize=50.0, gridSpacing=1.0, grid=ON,
    gridFrequency=2, constructionGeometry=ON, dimensionTextHeight=1.0,
    decimalPlaces=2)
s0.setPrimaryObject(option=STANDALONE)
s0.Line(point1=(9.12, 8.97), point2=(9.04, 8.25))
p = mdb.models['Edgeflap'].Part(name='Arm_PO', dimensionality=TWO_D_PLANAR,
    type=DISCRETE_RIGID_SURFACE)
p = mdb.models['Edgeflap'].parts['Arm_PO']
p.BaseWire(sketch=s0)
s0.unsetPrimaryObject()
p = mdb.models['Edgeflap'].parts['Arm_PO']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
del mdb.models['Edgeflap'].sketches['__profile__']
import assembly
import regionToolset
import displayGroupMdbToolset as dgm
a = mdb.models['Edgeflap'].rootAssembly
session.viewports['Viewport: 1'].setValues(displayedObject=a)
a = mdb.models['Edgeflap'].rootAssembly
p = mdb.models['Edgeflap'].parts['Arm_AB']
a.Instance(name='Arm_AB-1', part=p, dependent=OFF)
a = mdb.models['Edgeflap'].rootAssembly
p = mdb.models['Edgeflap'].parts['Arm_BF']
a.Instance(name='Arm_BF-1', part=p, dependent=OFF)
a = mdb.models['Edgeflap'].rootAssembly
p = mdb.models['Edgeflap'].parts['Arm_DEFG']
a.Instance(name='Arm_DEFG-1', part=p, dependent=OFF)
a = mdb.models['Edgeflap'].rootAssembly
p = mdb.models['Edgeflap'].parts['Arm_EI']
a.Instance(name='Arm_EI-1', part=p, dependent=OFF)
a = mdb.models['Edgeflap'].rootAssembly
p = mdb.models['Edgeflap'].parts['Arm_HIM']
a.Instance(name='Arm_HIM-1', part=p, dependent=OFF)
a = mdb.models['Edgeflap'].rootAssembly
p = mdb.models['Edgeflap'].parts['Arm_MLJ']
a.Instance(name='Arm_MLJ-1', part=p, dependent=OFF)
a = mdb.models['Edgeflap'].rootAssembly
p = mdb.models['Edgeflap'].parts['Arm_JK']
a.Instance(name='Arm_JK-1', part=p, dependent=OFF)
a = mdb.models['Edgeflap'].rootAssembly
p = mdb.models['Edgeflap'].parts['Arm_NK']
a.Instance(name='Arm_NK-1', part=p, dependent=OFF)
a = mdb.models['Edgeflap'].rootAssembly
p = mdb.models['Edgeflap'].parts['Arm_PO']
a.Instance(name='Arm_PO-1', part=p, dependent=OFF)
session.viewports['Viewport: 1'].view.fitView()
a = mdb.models['Edgeflap'].rootAssembly
a.ReferencePoint(point=(-0.13, 10.81, 0.0))
a = mdb.models['Edgeflap'].rootAssembly
a.ReferencePoint(point=(0.0, 8.67, 0.0))
a = mdb.models['Edgeflap'].rootAssembly
a.ReferencePoint(point=(5.08, 9.83, 0.0))
a = mdb.models['Edgeflap'].rootAssembly
a.ReferencePoint(point=(0.95, 9.41, 0.0))
a = mdb.models['Edgeflap'].rootAssembly
a.ReferencePoint(point=(1.66, 11.27, 0.0))
a = mdb.models['Edgeflap'].rootAssembly
a.ReferencePoint(point=(8.57, 8.22, 0.0))
a = mdb.models['Edgeflap'].rootAssembly
a.ReferencePoint(point=(9.04, 8.25, 0.0))
a = mdb.models['Edgeflap'].rootAssembly
a.ReferencePoint(point=(8.52, 9.18, 0.0))
a = mdb.models['Edgeflap'].rootAssembly
a.ReferencePoint(point=(9.12, 8.97, 0.0))
import interaction
import regionToolset
import displayGroupMdbToolset as dgm
a = mdb.models['Edgeflap'].rootAssembly
s1 = a.instances['Base-1'].edges
side1Edges1 = s1.findAt(((
    3.172318, 11.29315, 0.0), ), ((-3.045548, 11.41945, 0.0), ), ((-2.413631,
    9.069673, 0.0), ), ((-0.614487, 9.05802, 0.0), ), ((-0.485911, 8.985273,
    0.0), ), ((-0.45916, 8.739873, 0.0), ), ((-0.341357, 8.370233, 0.0), ), ((
    0.027112, 8.38487, 0.0), ), ((0.117894, 8.462293, 0.0), ), ((0.216054,
    9.134247, 0.0), ), ((0.457981, 10.8697, 0.0), ), ((0.894763, 10.865579,
    0.0), ), ((2.296255, 11.006125, 0.0), ), ((3.965645, 10.953631, 0.0), ), )
a.Surface(side1Edges=side1Edges1, name='Surf-1')
#: The surface "Surf-1" has been created.
a = mdb.models['Edgeflap'].rootAssembly
s1 = a.instances['Midflap-1'].edges
side1Edges1 = s1.findAt(((
    8.522418, 10.23606, 0.0), ), ((1.731028, 9.536713, 0.0), ), ((0.891474,
    9.500893, 0.0), ), ((1.435402, 9.35838, 0.0), ), ((3.71027, 9.2709, 0.0),
    ), ((6.487275, 8.913858, 0.0), ), ((9.031027, 8.224025, 0.0), ), )
a.Surface(side1Edges=side1Edges1, name='Surf-2')
#: The surface "Surf-2" has been created.
a = mdb.models['Edgeflap'].rootAssembly
s1 = a.instances['Endflap-1'].edges
side1Edges1 = s1.findAt(((
    11.614407, 8.420504, 0.0), ), ((9.610977, 9.262776, 0.0), ), )
a.Surface(side1Edges=side1Edges1, name='Surf-3')
#: The surface "Surf-3" has been created.
a = mdb.models['Edgeflap'].rootAssembly
s1 = a.instances['Endflap-1'].edges
side1Edges1 = s1.findAt(
    ((11.614407, 8.420504, 0.0), ), ((9.610977, 9.262776, 0.0), ), )
region1=regionToolset.Region(side1Edges=side1Edges1)
a = mdb.models['Edgeflap'].rootAssembly
r1 = a.referencePoints
refPoints1=(r1[33], r1[34], )
region2=regionToolset.Region(referencePoints=refPoints1)
mdb.models['Edgeflap'].Tie(name='Constraint-1', master=region1, slave=region2,
    positionToleranceMethod=COMPUTED, adjust=OFF, tieRotations=ON)
a = mdb.models['Edgeflap'].rootAssembly
s1 = a.instances['Midflap-1'].edges
side1Edges1 = s1.findAt(
    ((8.522418, 10.23606, 0.0), ), ((1.731028, 9.536713, 0.0), ), ((0.891474,
    9.500893, 0.0), ), ((1.435402, 9.35838, 0.0), ), ((3.71027, 9.2709, 0.0),
    ), ((6.487275, 8.913858, 0.0), ), ((9.031027, 8.224025, 0.0), ), )
region1=regionToolset.Region(side1Edges=side1Edges1)
a = mdb.models['Edgeflap'].rootAssembly
r1 = a.referencePoints
refPoints1=(r1[28], r1[29], r1[31], r1[32], )
region2=regionToolset.Region(referencePoints=refPoints1)
mdb.models['Edgeflap'].Tie(name='Constraint-2', master=region1, slave=region2,
    positionToleranceMethod=COMPUTED, adjust=OFF, tieRotations=ON)
a = mdb.models['Edgeflap'].rootAssembly
s1 = a.instances['Base-1'].edges
side1Edges1 = s1.findAt(
    ((3.172318, 11.29315, 0.0), ), ((-3.045548, 11.41945, 0.0), ), ((-2.413631,
    9.069673, 0.0), ), ((-0.614487, 9.05802, 0.0), ), ((-0.485911, 8.985273,
    0.0), ), ((-0.45916, 8.739873, 0.0), ), ((-0.341357, 8.370233, 0.0), ), ((
    0.027112, 8.38487, 0.0), ), ((0.117894, 8.462293, 0.0), ), ((0.216054,
    9.134247, 0.0), ), ((0.457981, 10.8697, 0.0), ), ((0.894763, 10.865579,
    0.0), ), ((2.296255, 11.006125, 0.0), ), ((3.965645, 10.953631, 0.0), ), )
region1=regionToolset.Region(side1Edges=side1Edges1)
a = mdb.models['Edgeflap'].rootAssembly
r1 = a.referencePoints
refPoints1=(r1[26], r1[27], r1[30], )
region2=regionToolset.Region(referencePoints=refPoints1)
mdb.models['Edgeflap'].Tie(name='Constraint-3', master=region1, slave=region2,
    positionToleranceMethod=COMPUTED, adjust=OFF, tieRotations=ON)
import mesh
import regionToolset
import displayGroupMdbToolset as dgm
#: Mesh module loaded
a0 = mdb.models['Edgeflap'].rootAssembly
partInstances =(a0.instances['Base-1'], a0.instances['Midflap-1'],
    a0.instances['Endflap-1'], a0.instances['Arm_AB-1'],
    a0.instances['Arm_BF-1'], a0.instances['Arm_DEFG-1'],
    a0.instances['Arm_EI-1'], a0.instances['Arm_HIM-1'],
    a0.instances['Arm_MLJ-1'], a0.instances['Arm_JK-1'],
    a0.instances['Arm_NK-1'], a0.instances['Arm_PO-1'], )
a0.seedPartInstance(regions=partInstances, size=0.46)
#: Global seeds have been assigned.
elemType1 = mesh.ElemType(elemCode=CPS4R, elemLibrary=STANDARD)
elemType2 = mesh.ElemType(elemCode=CPS3, elemLibrary=STANDARD)
a0 = mdb.models['Edgeflap'].rootAssembly
f1 = a0.instances['Base-1'].faces
faces1 = f1.findAt(((
    2.336721, 11.40701, 0.0), (0.0, 0.0, 1.0)), )
f2 = a0.instances['Midflap-1'].faces
faces2 = f2.findAt(((
    10.296461, 9.179942, 0.0), (0.0, 0.0, 1.0)), )
f3 = a0.instances['Endflap-1'].faces
faces3 = f3.findAt(((
    10.999011, 8.546852, 0.0), (0.0, 0.0, 1.0)), )
regions =((faces1+faces2+faces3), )
a0.setElementType(regions=regions, elemTypes=(elemType1, elemType2))
a0 = mdb.models['Edgeflap'].rootAssembly
partInstances =(a0.instances['Base-1'], a0.instances['Midflap-1'],
    a0.instances['Endflap-1'], )
a0.generateMesh(regions=partInstances)
elemType1 = mesh.ElemType(elemCode=R2D2, elemLibrary=STANDARD)
a0 = mdb.models['Edgeflap'].rootAssembly
e1 = a0.instances['Arm_AB-1'].edges
edges1 = e1.findAt(((
    -0.32, 10.605, 0.0), ), )
e2 = a0.instances['Arm_BF-1'].edges
edges2 = e2.findAt(((
    -0.4075, 10.0225, 0.0), ), )
e3 = a0.instances['Arm_DEFG-1'].edges
edges3 = e3.findAt(((
    1.5575, 11.1, 0.0), ), ((1.1975, 10.4725, 0.0), ), ((1.0175, 9.9425, 0.0),
    ), )
e4 = a0.instances['Arm_EI-1'].edges
edges4 = e4.findAt(((
    1.1125, 10.59, 0.0), ), ((0.675, 10.2175, 0.0), ), ((1.285, 9.045, 0.0), ),
    )
e5 = a0.instances['Arm_HIM-1'].edges
edges5 = e5.findAt((
    (0.835, 8.7225, 0.0), ), ((4.0125, 8.8425, 0.0), ), )
e6 = a0.instances['Arm_MLJ-1'].edges
edges6 = e6.findAt(((
    5.7925, 9.005, 0.0), ), ((5.0975, 10.02, 0.0), ), )
e7 = a0.instances['Arm_JK-1'].edges
edges7 = e7.findAt(((
    5.9925, 10.2375, 0.0), ), )
e8 = a0.instances['Arm_NK-1'].edges
edges8 = e8.findAt(((
    8.5325, 8.94, 0.0), ), )
e9 = a0.instances['Arm_PO-1'].edges
edges9 = e9.findAt(((
    9.1, 8.79, 0.0), ), )
regions =((edges1+edges2+edges3+edges4+edges5+edges6+edges7+edges8+edges9), )
a0.setElementType(regions=regions, elemTypes=(elemType1, ))
a0 = mdb.models['Edgeflap'].rootAssembly
partInstances =(a0.instances['Arm_AB-1'], a0.instances['Arm_BF-1'],
    a0.instances['Arm_DEFG-1'], a0.instances['Arm_EI-1'],
    a0.instances['Arm_HIM-1'], a0.instances['Arm_MLJ-1'],
    a0.instances['Arm_JK-1'], a0.instances['Arm_NK-1'],
    a0.instances['Arm_PO-1'], )
a0.generateMesh(regions=partInstances)
#
import material
import section
import regionToolset
import displayGroupMdbToolset as dgm
a = mdb.models['Edgeflap'].rootAssembly
session.viewports['Viewport: 1'].setValues(displayedObject=a)
a = mdb.models['Edgeflap'].rootAssembly
v01 = a.instances['Base-1'].vertices
a.ReferencePoint(point=v01.findAt((
    -3.0, 9.07, 0.0), ))
a = mdb.models['Edgeflap'].rootAssembly
e1 = a.instances['Midflap-1'].edges
a.ReferencePoint(point=a.instances['Midflap-1'].InterestingPoint(edge=e1.findAt((
    8.522418, 10.23606, 0.0), ),
    rule=MIDDLE))
a = mdb.models['Edgeflap'].rootAssembly
a.ReferencePoint(point=(9.5, 8.97, 0.0))
a = mdb.models['Edgeflap'].rootAssembly
f1 = a.instances['Base-1'].faces
faces1 = f1.findAt(
    ((2.336721, 11.40701, 0.0), (0.0, 0.0, 1.0)), )
region2=regionToolset.Region(faces=faces1)
a = mdb.models['Edgeflap'].rootAssembly
r1 = a.referencePoints
refPoints1=(r1[58], )
region1=regionToolset.Region(referencePoints=refPoints1)
mdb.models['Edgeflap'].RigidBody(name='Constraint-4', refPointRegion=region1,
    bodyRegion=region2)
a = mdb.models['Edgeflap'].rootAssembly
f1 = a.instances['Midflap-1'].faces
faces1 = f1.findAt(
    ((10.296461, 9.179942, 0.0), (0.0, 0.0, 1.0)), )
region2=regionToolset.Region(faces=faces1)
a = mdb.models['Edgeflap'].rootAssembly
r1 = a.referencePoints
refPoints1=(r1[59], )
region1=regionToolset.Region(referencePoints=refPoints1)
mdb.models['Edgeflap'].RigidBody(name='Constraint-5', refPointRegion=region1,
    bodyRegion=region2)
a = mdb.models['Edgeflap'].rootAssembly
f1 = a.instances['Endflap-1'].faces
faces1 = f1.findAt(
    ((10.999011, 8.546852, 0.0), (0.0, 0.0, 1.0)), )
region2=regionToolset.Region(faces=faces1)
a = mdb.models['Edgeflap'].rootAssembly
r1 = a.referencePoints
refPoints1=(r1[60], )
region1=regionToolset.Region(referencePoints=refPoints1)
mdb.models['Edgeflap'].RigidBody(name='Constraint-6', refPointRegion=region1,
    bodyRegion=region2)
import load
import regionToolset
import displayGroupMdbToolset as dgm
#: Load module loaded
a = mdb.models['Edgeflap'].rootAssembly
r1 = a.referencePoints
refPoints1=(r1[58], )
region = regionToolset.Region(referencePoints=refPoints1)
mdb.models['Edgeflap'].EncastreBC(name='BC-1', createStepName='Initial',
    region=region)
import step
import regionToolset
import displayGroupMdbToolset as dgm
#: Step module loaded
mdb.models['Edgeflap'].StaticStep(name='Step-1', previous='Initial',
    description='move', nlgeom=ON)
mdb.models['Edgeflap'].FieldOutputRequest(name='F-Output-2',
    createStepName='Step-1', variables=PRESELECT)
mdb.models['Edgeflap'].HistoryOutputRequest(name='H-Output-2',
    createStepName='Step-1', variables=PRESELECT)
a = mdb.models['Edgeflap'].rootAssembly
v1 = a.instances['Arm_AB-1'].vertices
verts1 = v1.findAt(
    ((-0.13, 10.81, 0.0), ), )
region = regionToolset.Region(vertices=verts1)
mdb.models['Edgeflap'].DisplacementBC(name='BC-2', createStepName='Step-1',
    region=region, u1=UNSET, u2=UNSET, ur3=1.5707963268, amplitude=UNSET,
    fixed=OFF, distributionType=UNIFORM, localCsys=None)
import job
#: Job module loaded
session.viewports['Viewport: 1'].view.fitView()
session.viewports['Viewport: 1'].view.fitView()
a = mdb.models['Edgeflap'].rootAssembly
e1 = a.instances['Arm_AB-1'].edges
a.ReferencePoint(point=a.instances['Arm_AB-1'].InterestingPoint(edge=e1.findAt((
    -0.32, 10.605, 0.0), ),
    rule=MIDDLE))
a = mdb.models['Edgeflap'].rootAssembly
e1 = a.instances['Arm_BF-1'].edges
a.ReferencePoint(point=a.instances['Arm_BF-1'].InterestingPoint(edge=e1.findAt((
    -0.4075, 10.0225, 0.0), ),
    rule=MIDDLE))
a = mdb.models['Edgeflap'].rootAssembly
e1 = a.instances['Arm_DEFG-1'].edges
a.ReferencePoint(point=a.instances['Arm_DEFG-1'].InterestingPoint(edge=e1.findAt((
    1.5575, 11.1, 0.0), ),
    rule=MIDDLE))
a = mdb.models['Edgeflap'].rootAssembly
e1 = a.instances['Arm_EI-1'].edges
a.ReferencePoint(point=a.instances['Arm_EI-1'].InterestingPoint(edge=e1.findAt((
    1.285, 9.045, 0.0), ),
    rule=MIDDLE))
a = mdb.models['Edgeflap'].rootAssembly
e1 = a.instances['Arm_HIM-1'].edges
a.ReferencePoint(point=a.instances['Arm_HIM-1'].InterestingPoint(edge=e1.findAt((
    0.835, 8.7225, 0.0), ),
    rule=MIDDLE))
a = mdb.models['Edgeflap'].rootAssembly
e1 = a.instances['Arm_MLJ-1'].edges
a.ReferencePoint(point=a.instances['Arm_MLJ-1'].InterestingPoint(edge=e1.findAt((
    5.7925, 9.005, 0.0), ),
    rule=MIDDLE))
a = mdb.models['Edgeflap'].rootAssembly
e1 = a.instances['Arm_JK-1'].edges
a.ReferencePoint(point=a.instances['Arm_JK-1'].InterestingPoint(edge=e1.findAt((
    5.9925, 10.2375, 0.0), ),
    rule=MIDDLE))
a = mdb.models['Edgeflap'].rootAssembly
e1 = a.instances['Arm_NK-1'].edges
a.ReferencePoint(point=a.instances['Arm_NK-1'].InterestingPoint(edge=e1.findAt((
    8.5325, 8.94, 0.0), ),
    rule=MIDDLE))
a = mdb.models['Edgeflap'].rootAssembly
e1 = a.instances['Arm_PO-1'].edges
a.ReferencePoint(point=a.instances['Arm_PO-1'].InterestingPoint(edge=e1.findAt((
    9.1, 8.79, 0.0), ),
    rule=MIDDLE))
elemType1 = mesh.ElemType(elemCode=R2D2, elemLibrary=STANDARD)
a0 = mdb.models['Edgeflap'].rootAssembly
e1 = a0.instances['Arm_AB-1'].edges
edges1 = e1.findAt(((
    -0.32, 10.605, 0.0), ), )
e2 = a0.instances['Arm_BF-1'].edges
edges2 = e2.findAt(((
    -0.4075, 10.0225, 0.0), ), )
e3 = a0.instances['Arm_DEFG-1'].edges
edges3 = e3.findAt(((
    1.5575, 11.1, 0.0), ), ((1.1975, 10.4725, 0.0), ), ((1.0175, 9.9425, 0.0),
    ), )
e4 = a0.instances['Arm_EI-1'].edges
edges4 = e4.findAt(((
    1.1125, 10.59, 0.0), ), ((0.675, 10.2175, 0.0), ), ((1.285, 9.045, 0.0), ),
    )
e5 = a0.instances['Arm_HIM-1'].edges
edges5 = e5.findAt((
    (0.835, 8.7225, 0.0), ), ((4.0125, 8.8425, 0.0), ), )
e6 = a0.instances['Arm_MLJ-1'].edges
edges6 = e6.findAt(((
    5.7925, 9.005, 0.0), ), ((5.0975, 10.02, 0.0), ), )
e7 = a0.instances['Arm_JK-1'].edges
edges7 = e7.findAt(((
    5.9925, 10.2375, 0.0), ), )
e8 = a0.instances['Arm_NK-1'].edges
edges8 = e8.findAt(((
    8.5325, 8.94, 0.0), ), )
e9 = a0.instances['Arm_PO-1'].edges
edges9 = e9.findAt(((
    9.1, 8.79, 0.0), ), )
regions =((edges1+edges2+edges3+edges4+edges5+edges6+edges7+edges8+edges9), )
a0.setElementType(regions=regions, elemTypes=(elemType1, ))
a0 = mdb.models['Edgeflap'].rootAssembly
partInstances =(a0.instances['Arm_AB-1'], a0.instances['Arm_BF-1'],
    a0.instances['Arm_DEFG-1'], a0.instances['Arm_EI-1'],
    a0.instances['Arm_HIM-1'], a0.instances['Arm_MLJ-1'],
    a0.instances['Arm_JK-1'], a0.instances['Arm_NK-1'],
    a0.instances['Arm_PO-1'], )
a0.generateMesh(regions=partInstances)
p = mdb.models['Edgeflap'].parts['Base']
p = mdb.models['Edgeflap'].parts['Arm_AB']
p1 = mdb.models['Edgeflap'].parts['Arm_AB']
v0, e, d0, n = p1.vertices, p1.edges, p1.datums, p1.nodes
p1.ReferencePoint(point=p1.InterestingPoint(edge=e.findAt((-0.32, 10.605, 0.0),
    ), rule=MIDDLE))
p = mdb.models['Edgeflap'].parts['Arm_BF']
p1 = mdb.models['Edgeflap'].parts['Arm_BF']
v0, e, d0, n = p1.vertices, p1.edges, p1.datums, p1.nodes
p1.ReferencePoint(point=p1.InterestingPoint(edge=e.findAt((-0.4075, 10.0225,
    0.0), ), rule=MIDDLE))
p = mdb.models['Edgeflap'].parts['Arm_DEFG']
p1 = mdb.models['Edgeflap'].parts['Arm_DEFG']
v0, e, d0, n = p1.vertices, p1.edges, p1.datums, p1.nodes
p1.ReferencePoint(point=p1.InterestingPoint(edge=e.findAt((1.5575, 11.1, 0.0),
    ), rule=MIDDLE))
p = mdb.models['Edgeflap'].parts['Arm_EI']
p1 = mdb.models['Edgeflap'].parts['Arm_EI']
v0, e, d0, n = p1.vertices, p1.edges, p1.datums, p1.nodes
p1.ReferencePoint(point=v0.findAt((0.6, 9.1, 0.0), ))
p = mdb.models['Edgeflap'].parts['Arm_HIM']
p1 = mdb.models['Edgeflap'].parts['Arm_HIM']
v0, e, d0, n = p1.vertices, p1.edges, p1.datums, p1.nodes
p1.ReferencePoint(point=p1.InterestingPoint(edge=e.findAt((0.835, 8.7225, 0.0),
    ), rule=MIDDLE))
p = mdb.models['Edgeflap'].parts['Arm_MLJ']
p1 = mdb.models['Edgeflap'].parts['Arm_MLJ']
v0, e, d0, n = p1.vertices, p1.edges, p1.datums, p1.nodes
p1.ReferencePoint(point=p1.InterestingPoint(edge=e.findAt((5.7925, 9.005, 0.0),
    ), rule=MIDDLE))
p = mdb.models['Edgeflap'].parts['Arm_JK']
p1 = mdb.models['Edgeflap'].parts['Arm_JK']
v0, e, d0, n = p1.vertices, p1.edges, p1.datums, p1.nodes
p1.ReferencePoint(point=p1.InterestingPoint(edge=e.findAt((5.9925, 10.2375, 0.0),
    ), rule=MIDDLE))
p = mdb.models['Edgeflap'].parts['Arm_NK']
p1 = mdb.models['Edgeflap'].parts['Arm_NK']
v0, e, d0, n = p1.vertices, p1.edges, p1.datums, p1.nodes
p1.ReferencePoint(point=p1.InterestingPoint(edge=e.findAt((8.5325, 8.94, 0.0), ), rule=MIDDLE))
p = mdb.models['Edgeflap'].parts['Arm_PO']
p1 = mdb.models['Edgeflap'].parts['Arm_PO']
v0, e, d0, n = p1.vertices, p1.edges, p1.datums, p1.nodes
p1.ReferencePoint(point=p1.InterestingPoint(edge=e.findAt((9.1, 8.79, 0.0), ), rule=MIDDLE))
a1 = mdb.models['Edgeflap'].rootAssembly
a1.regenerate()
a = mdb.models['Edgeflap'].rootAssembly
p = mdb.models['Edgeflap'].parts['Arm_PO']
p = mdb.models['Edgeflap'].parts['Arm_AB']
p1 = mdb.models['Edgeflap'].parts['Arm_AB']
#del p1.features['Reference point-1']
p1 = mdb.models['Edgeflap'].parts['Arm_AB']
v0, e, d0, n = p1.vertices, p1.edges, p1.datums, p1.nodes
#p1.ReferencePoint(point=v0[0])
mdb.models['Edgeflap'].Material('Material-1')
mdb.models['Edgeflap'].materials['Material-1'].Elastic(table=((1.0, 0.0), ))
mdb.models['Edgeflap'].materials['Material-1'].Density(table=((1e-06, ), ))
mdb.models['Edgeflap'].HomogeneousSolidSection(name='Edgeflap_section',
    material='Material-1', thickness=1.0)
p1 = mdb.models['Edgeflap'].parts['Base']
f = p1.faces
faces = f.findAt(((2.336721,
    11.40701, 0.0), (0.0, 0.0, 1.0)), )
region = regionToolset.Region(faces=faces)
p0 = mdb.models['Edgeflap'].parts['Base']
p0.SectionAssignment(region=region, sectionName='Edgeflap_section')
#: The section "Edgeflap_section" has been assigned to the selected regions.
p1 = mdb.models['Edgeflap'].parts['Midflap']
f = p1.faces
faces = f.findAt(((10.296461,
    9.179942, 0.0), (0.0, 0.0, 1.0)), )
region = regionToolset.Region(faces=faces)
p0 = mdb.models['Edgeflap'].parts['Midflap']
p0.SectionAssignment(region=region, sectionName='Edgeflap_section')
#: The section "Edgeflap_section" has been assigned to the selected regions.
p = mdb.models['Edgeflap'].parts['Endflap']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
p1 = mdb.models['Edgeflap'].parts['Endflap']
f = p1.faces
faces = f.findAt(((10.999011,
    8.546852, 0.0), (0.0, 0.0, 1.0)), )
region = regionToolset.Region(faces=faces)
p0 = mdb.models['Edgeflap'].parts['Endflap']
p0.SectionAssignment(region=region, sectionName='Edgeflap_section')
#: The section "Edgeflap_section" has been assigned to the selected regions.
a1 = mdb.models['Edgeflap'].rootAssembly
a1.regenerate()
from abaqus import *
import testUtils
testUtils.setBackwardCompatibility()
from abaqusConstants import *
from driverUtils import executeOnCaeStartup
executeOnCaeStartup()
a = mdb.models['Edgeflap'].rootAssembly
a = mdb.models['Edgeflap'].rootAssembly
a = mdb.models['Edgeflap'].rootAssembly
v1 = a.instances['Arm_AB-1'].vertices
verts1 = v1.findAt(
    ((-0.13, 10.81, 0.0), ), )
region = regionToolset.Region(vertices=verts1)
mdb.models['Edgeflap'].boundaryConditions['BC-2'].setValues(region=region)
import part
import regionToolset
import displayGroupMdbToolset as dgm
a = mdb.models['Edgeflap'].rootAssembly
session.viewports['Viewport: 1'].setValues(displayedObject=a)
a = mdb.models['Edgeflap'].rootAssembly
e1 = a.instances['Arm_AB-1'].edges
edges1 = e1.findAt(
    ((-0.32, 10.605, 0.0), ), )
v1 = a.instances['Arm_AB-1'].vertices
verts1 = v1.findAt(
    ((-0.13, 10.81, 0.0), ), )
region = regionToolset.Region(vertices=verts1, edges=edges1)
mdb.models['Edgeflap'].boundaryConditions['BC-2'].setValues(region=region)
import interaction
import regionToolset
import displayGroupMdbToolset as dgm
del mdb.models['Edgeflap'].constraints['Constraint-1']
del mdb.models['Edgeflap'].constraints['Constraint-2']
del mdb.models['Edgeflap'].constraints['Constraint-3']
a = mdb.models['Edgeflap'].rootAssembly
r1 = a.referencePoints
refPoints1=(r1[27], )
region4=regionToolset.Region(referencePoints=refPoints1)
a = mdb.models['Edgeflap'].rootAssembly
r1 = a.referencePoints
refPoints1=(r1[58], )
region1=regionToolset.Region(referencePoints=refPoints1)
mdb.models['Edgeflap'].RigidBody(name='Constraint-7', refPointRegion=region1,
    tieRegion=region4)
a = mdb.models['Edgeflap'].rootAssembly
r1 = a.referencePoints
refPoints1=(r1[30], )
region4=regionToolset.Region(referencePoints=refPoints1)
a = mdb.models['Edgeflap'].rootAssembly
r1 = a.referencePoints
refPoints1=(r1[58], )
region1=regionToolset.Region(referencePoints=refPoints1)
mdb.models['Edgeflap'].RigidBody(name='Constraint-8', refPointRegion=region1,
    tieRegion=region4)
a = mdb.models['Edgeflap'].rootAssembly
r1 = a.referencePoints
refPoints1=(r1[26], )
region4=regionToolset.Region(referencePoints=refPoints1)
a = mdb.models['Edgeflap'].rootAssembly
r1 = a.referencePoints
refPoints1=(r1[58], )
region1=regionToolset.Region(referencePoints=refPoints1)
mdb.models['Edgeflap'].RigidBody(name='Constraint-9', refPointRegion=region1,
    tieRegion=region4)
session.viewports['Viewport: 1'].view.fitView()
a = mdb.models['Edgeflap'].rootAssembly
r1 = a.referencePoints
refPoints1=(r1[29], )
region4=regionToolset.Region(referencePoints=refPoints1)
a = mdb.models['Edgeflap'].rootAssembly
r1 = a.referencePoints
refPoints1=(r1[59], )
region1=regionToolset.Region(referencePoints=refPoints1)
mdb.models['Edgeflap'].RigidBody(name='Constraint-10', refPointRegion=region1,
    tieRegion=region4)
a = mdb.models['Edgeflap'].rootAssembly
r1 = a.referencePoints
refPoints1=(r1[28], )
region4=regionToolset.Region(referencePoints=refPoints1)
a = mdb.models['Edgeflap'].rootAssembly
r1 = a.referencePoints
refPoints1=(r1[59], )
region1=regionToolset.Region(referencePoints=refPoints1)
mdb.models['Edgeflap'].RigidBody(name='Constraint-11', refPointRegion=region1,
    tieRegion=region4)
a = mdb.models['Edgeflap'].rootAssembly
r1 = a.referencePoints
refPoints1=(r1[31], r1[32], )
region4=regionToolset.Region(referencePoints=refPoints1)
a = mdb.models['Edgeflap'].rootAssembly
r1 = a.referencePoints
refPoints1=(r1[59], )
region1=regionToolset.Region(referencePoints=refPoints1)
mdb.models['Edgeflap'].RigidBody(name='Constraint-12', refPointRegion=region1,
    tieRegion=region4)
a = mdb.models['Edgeflap'].rootAssembly
r1 = a.referencePoints
refPoints1=(r1[33], r1[34], )
region4=regionToolset.Region(referencePoints=refPoints1)
a = mdb.models['Edgeflap'].rootAssembly
r1 = a.referencePoints
refPoints1=(r1[60], )
region1=regionToolset.Region(referencePoints=refPoints1)
mdb.models['Edgeflap'].RigidBody(name='Constraint-13', refPointRegion=region1,
    tieRegion=region4)
session.viewports['Viewport: 1'].view.fitView()
session.viewports['Viewport: 1'].view.fitView()
import job
del mdb.models['Edgeflap'].constraints['Constraint-7']
del mdb.models['Edgeflap'].constraints['Constraint-8']
del mdb.models['Edgeflap'].constraints['Constraint-9']
del mdb.models['Edgeflap'].constraints['Constraint-10']
del mdb.models['Edgeflap'].constraints['Constraint-11']
del mdb.models['Edgeflap'].constraints['Constraint-12']
del mdb.models['Edgeflap'].constraints['Constraint-13']
a = mdb.models['Edgeflap'].rootAssembly
r1 = a.referencePoints
refPoints1=(r1[26], r1[27], r1[30], )
region4=regionToolset.Region(referencePoints=refPoints1)
mdb.models['Edgeflap'].constraints['Constraint-4'].setValues(tieRegion=region4)
a = mdb.models['Edgeflap'].rootAssembly
r1 = a.referencePoints
refPoints1=(r1[28], r1[29], r1[31], r1[32], )
region4=regionToolset.Region(referencePoints=refPoints1)
mdb.models['Edgeflap'].constraints['Constraint-5'].setValues(tieRegion=region4)
a = mdb.models['Edgeflap'].rootAssembly
r1 = a.referencePoints
refPoints1=(r1[33], r1[34], )
region4=regionToolset.Region(referencePoints=refPoints1)
mdb.models['Edgeflap'].constraints['Constraint-6'].setValues(tieRegion=region4)
session.viewports['Viewport: 1'].view.fitView()
a1 = mdb.models['Edgeflap'].rootAssembly
a1.regenerate()
import part
import regionToolset
import displayGroupMdbToolset as dgm
p = mdb.models['Edgeflap'].parts['Arm_AB']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
p1 = mdb.models['Edgeflap'].parts['Arm_AB']
r = p1.referencePoints
import load
a = mdb.models['Edgeflap'].rootAssembly
a.regenerate()
a = mdb.models['Edgeflap'].rootAssembly
session.viewports['Viewport: 1'].setValues(displayedObject=a)
session.viewports['Viewport: 1'].assemblyDisplay.setValues(step='Step-1')
a = mdb.models['Edgeflap'].rootAssembly
import interaction
import regionToolset
import displayGroupMdbToolset as dgm
a = mdb.models['Edgeflap'].rootAssembly
r1 = a.referencePoints
mdb.models['Edgeflap'].DisplayBody(name='Constraint-7',
    instance=a.instances['Midflap-1'], controlPoints=(r1[29], r1[28], r1[30]))
a = mdb.models['Edgeflap'].rootAssembly
r1 = a.referencePoints
mdb.models['Edgeflap'].DisplayBody(name='Constraint-8',
    instance=a.instances['Endflap-1'], controlPoints=(r1[33], r1[34], r1[77]))
del mdb.models['Edgeflap'].constraints['Constraint-5']
del mdb.models['Edgeflap'].constraints['Constraint-6']
import mesh
import regionToolset
import displayGroupMdbToolset as dgm
a = mdb.models['Edgeflap'].rootAssembly
partInstances =(a.instances['Midflap-1'], a.instances['Endflap-1'], )
a.deleteMesh(regions=partInstances)
#
#
#
session.viewports['Viewport: 1'].view.fitView()
import mesh
import regionToolset
import displayGroupMdbToolset as dgm
a = mdb.models['Edgeflap'].rootAssembly
partInstances =(a.instances['Base-1'], )
a.deleteMesh(regions=partInstances)
a0 = mdb.models['Edgeflap'].rootAssembly
mdb.models['Edgeflap'].DisplayBody(name='Constraint-5',
    instance=a0.instances['Base-1'], controlPoints=None)
import interaction
import regionToolset
import displayGroupMdbToolset as dgm
del mdb.models['Edgeflap'].constraints['Constraint-4']
import load
import regionToolset
import displayGroupMdbToolset as dgm
del mdb.models['Edgeflap'].boundaryConditions['BC-1']
import mesh
import step
import regionToolset
import displayGroupMdbToolset as dgm
mdb.models['Edgeflap'].steps['Step-1'].setValues(
    timeIncrementationMethod=FIXED, initialInc=0.1, noStop=OFF, nlgeom=ON)
import assembly
import regionToolset
import displayGroupMdbToolset as dgm
import load
del mdb.models['Edgeflap'].boundaryConditions['BC-2']
a = mdb.models['Edgeflap'].rootAssembly
del a.features['RP-13']
a = mdb.models['Edgeflap'].rootAssembly
a.backup()
a = mdb.models['Edgeflap'].rootAssembly
del a.features['RP-1']
a = mdb.models['Edgeflap'].rootAssembly
a.backup()
import part
p = mdb.models['Edgeflap'].parts['Arm_AB']
p1 = mdb.models['Edgeflap'].parts['Arm_AB']
del p1.features['RP']
v, e, d, n = p1.vertices, p1.edges, p1.datums, p1.nodes
p1.ReferencePoint(point=v.findAt((-0.13, 10.81, 0.0),
    ))
a0 = mdb.models['Edgeflap'].rootAssembly
a0.regenerate()
a = mdb.models['Edgeflap'].rootAssembly
#
#  ----------------------------
#  Begin connectors
#  ----------------------------
#
#  --------------------------------
#  Create connector property 'join'
#  --------------------------------
#
import interaction
mdb.models['Edgeflap'].ConnectorSection(name='Connector_property_join', assembledType=NONE,
    translationalType=JOIN, rotationalType=NONE)
#
#  ------------------------
#  Create 'join' connectors
#  ------------------------
#
a0 = mdb.models['Edgeflap'].rootAssembly
r1 = a0.instances['Arm_AB-1'].referencePoints
point2=r1[3]
setname = 'Join_A_CnSet'
connSect = 'Connector_property_join'
edge = a.WirePolyLine(points=((None, point2), ), mergeWire=OFF, meshable=OFF)
a.Set(name=setname, edges=a.getFeatureEdges(edge.name))
csa = a.SectionAssignment(region=a.sets[setname], sectionName=connSect)
co = a.ConnectorOrientation(region=csa.getSet())
point1 = mdb.models['Edgeflap'].rootAssembly.instances['Arm_AB-1'].vertices.findAt((
    -0.89, 9.99, 0.0), )
point2 = mdb.models['Edgeflap'].rootAssembly.instances['Arm_BF-1'].vertices.findAt((
    -0.89, 9.99, 0.0), )
setname = 'Join_B_CnSet'
connSect = 'Connector_property_join'
edge = a.WirePolyLine(points=((point1, point2), ), mergeWire=OFF, meshable=OFF)
a.Set(name=setname, edges=a.getFeatureEdges(edge.name))
csa = a.SectionAssignment(region=a.sets[setname], sectionName=connSect)
co = a.ConnectorOrientation(region=csa.getSet())
point1 = mdb.models['Edgeflap'].rootAssembly.instances['Arm_BF-1'].vertices.findAt((
    1.04, 10.12, 0.0), )
point2 = mdb.models['Edgeflap'].rootAssembly.instances['Arm_DEFG-1'].vertices.findAt(
    (1.04, 10.12, 0.0), )
setname = 'Join_F_CnSet'
connSect = 'Connector_property_join'
edge = a.WirePolyLine(points=((point1, point2), ), mergeWire=OFF, meshable=OFF)
a.Set(name=setname, edges=a.getFeatureEdges(edge.name))
csa = a.SectionAssignment(region=a.sets[setname], sectionName=connSect)
co = a.ConnectorOrientation(region=csa.getSet())
point1 = None
point2 = mdb.models['Edgeflap'].rootAssembly.instances['Arm_DEFG-1'].vertices.findAt(
    (1.66, 11.27, 0.0), )
setname = 'Join_D_CnSet'
connSect = 'Connector_property_join'
edge = a.WirePolyLine(points=((point1, point2), ), mergeWire=OFF, meshable=OFF)
a.Set(name=setname, edges=a.getFeatureEdges(edge.name))
csa = a.SectionAssignment(region=a.sets[setname], sectionName=connSect)
co = a.ConnectorOrientation(region=csa.getSet())
point1 = mdb.models['Edgeflap'].rootAssembly.referencePoints[29]
point2 = mdb.models['Edgeflap'].rootAssembly.instances['Arm_DEFG-1'].vertices.findAt(
    (0.95, 9.41, 0.0), )
setname = 'Join_G_CnSet'
connSect = 'Connector_property_join'
edge = a.WirePolyLine(points=((point1, point2), ), mergeWire=OFF, meshable=OFF)
a.Set(name=setname, edges=a.getFeatureEdges(edge.name))
csa = a.SectionAssignment(region=a.sets[setname], sectionName=connSect)
co = a.ConnectorOrientation(region=csa.getSet())
point1 = mdb.models['Edgeflap'].rootAssembly.instances['Arm_DEFG-1'].vertices.findAt(
    (1.25, 10.59, 0.0), )
point2 = mdb.models['Edgeflap'].rootAssembly.instances['Arm_EI-1'].vertices.findAt((
    1.25, 10.59, 0.0), )
setname = 'Join_E_CnSet'
connSect = 'Connector_property_join'
edge = a.WirePolyLine(points=((point1, point2), ), mergeWire=OFF, meshable=OFF)
a.Set(name=setname, edges=a.getFeatureEdges(edge.name))
csa = a.SectionAssignment(region=a.sets[setname], sectionName=connSect)
co = a.ConnectorOrientation(region=csa.getSet())
point2 = mdb.models['Edgeflap'].rootAssembly.instances['Arm_HIM-1'].vertices.findAt(
    (0.0, 8.67, 0.0), )
setname = 'Join_H_CnSet'
connSect = 'Connector_property_join'
edge = a.WirePolyLine(points=((None, point2), ), mergeWire=OFF, meshable=OFF)
a.Set(name=setname, edges=a.getFeatureEdges(edge.name))
csa = a.SectionAssignment(region=a.sets[setname], sectionName=connSect)
co = a.ConnectorOrientation(region=csa.getSet())
point1 = mdb.models['Edgeflap'].rootAssembly.instances['Arm_EI-1'].vertices.findAt((
    3.34, 8.88, 0.0), )
point2 = mdb.models['Edgeflap'].rootAssembly.instances['Arm_HIM-1'].vertices.findAt(
    (3.34, 8.88, 0.0), )
setname = 'Join_I_CnSet'
connSect = 'Connector_property_join'
edge = a.WirePolyLine(points=((point1, point2), ), mergeWire=OFF, meshable=OFF)
a.Set(name=setname, edges=a.getFeatureEdges(edge.name))
csa = a.SectionAssignment(region=a.sets[setname], sectionName=connSect)
co = a.ConnectorOrientation(region=csa.getSet())
point1 = mdb.models['Edgeflap'].rootAssembly.instances['Arm_HIM-1'].vertices.findAt(
    (6.03, 8.73, 0.0), )
point2 = mdb.models['Edgeflap'].rootAssembly.instances['Arm_MLJ-1'].vertices.findAt(
    (6.03, 8.73, 0.0), )
setname = 'Join_M_CnSet'
connSect = 'Connector_property_join'
edge = a.WirePolyLine(points=((point1, point2), ), mergeWire=OFF, meshable=OFF)
a.Set(name=setname, edges=a.getFeatureEdges(edge.name))
csa = a.SectionAssignment(region=a.sets[setname], sectionName=connSect)
co = a.ConnectorOrientation(region=csa.getSet())
point1 = mdb.models['Edgeflap'].rootAssembly.referencePoints[28]
point2 = mdb.models['Edgeflap'].rootAssembly.instances['Arm_MLJ-1'].vertices.findAt(
    (5.08, 9.83, 0.0), )
setname = 'Join_L_CnSet'
connSect = 'Connector_property_join'
edge = a.WirePolyLine(points=((point1, point2), ), mergeWire=OFF, meshable=OFF)
a.Set(name=setname, edges=a.getFeatureEdges(edge.name))
csa = a.SectionAssignment(region=a.sets[setname], sectionName=connSect)
co = a.ConnectorOrientation(region=csa.getSet())
point1 = mdb.models['Edgeflap'].rootAssembly.instances['Arm_MLJ-1'].vertices.findAt(
    (5.15, 10.59, 0.0), )
point2 = mdb.models['Edgeflap'].rootAssembly.instances['Arm_JK-1'].vertices.findAt((
    5.15, 10.59, 0.0), )
setname = 'Join_J_CnSet'
connSect = 'Connector_property_join'
edge = a.WirePolyLine(points=((point1, point2), ), mergeWire=OFF, meshable=OFF)
a.Set(name=setname, edges=a.getFeatureEdges(edge.name))
csa = a.SectionAssignment(region=a.sets[setname], sectionName=connSect)
co = a.ConnectorOrientation(region=csa.getSet())
point1 = mdb.models['Edgeflap'].rootAssembly.referencePoints[33]
point2 = mdb.models['Edgeflap'].rootAssembly.instances['Arm_JK-1'].vertices.findAt((
    8.52, 9.18, 0.0), )
setname = 'Join_K_CnSet'
connSect = 'Connector_property_join'
edge = a.WirePolyLine(points=((point1, point2), ), mergeWire=OFF, meshable=OFF)
a.Set(name=setname, edges=a.getFeatureEdges(edge.name))
csa = a.SectionAssignment(region=a.sets[setname], sectionName=connSect)
co = a.ConnectorOrientation(region=csa.getSet())
point1 = mdb.models['Edgeflap'].rootAssembly.referencePoints[33]
point2 = mdb.models['Edgeflap'].rootAssembly.instances['Arm_NK-1'].vertices.findAt((
    8.52, 9.18, 0.0), )
setname = 'Join_JJ_CnSet'
connSect = 'Connector_property_join'
edge = a.WirePolyLine(points=((point1, point2), ), mergeWire=OFF, meshable=OFF)
a.Set(name=setname, edges=a.getFeatureEdges(edge.name))
csa = a.SectionAssignment(region=a.sets[setname], sectionName=connSect)
co = a.ConnectorOrientation(region=csa.getSet())
point1 = mdb.models['Edgeflap'].rootAssembly.referencePoints[31]
point2 = mdb.models['Edgeflap'].rootAssembly.instances['Arm_NK-1'].vertices.findAt((
    8.57, 8.22, 0.0), )
setname = 'Join_N_CnSet'
connSect = 'Connector_property_join'
edge = a.WirePolyLine(points=((point1, point2), ), mergeWire=OFF, meshable=OFF)
a.Set(name=setname, edges=a.getFeatureEdges(edge.name))
csa = a.SectionAssignment(region=a.sets[setname], sectionName=connSect)
co = a.ConnectorOrientation(region=csa.getSet())
point1 = mdb.models['Edgeflap'].rootAssembly.referencePoints[34]
point2 = mdb.models['Edgeflap'].rootAssembly.instances['Arm_PO-1'].vertices.findAt((
    9.12, 8.97, 0.0), )
setname = 'Join_O_CnSet'
connSect = 'Connector_property_join'
edge = a.WirePolyLine(points=((point1, point2), ), mergeWire=OFF, meshable=OFF)
a.Set(name=setname, edges=a.getFeatureEdges(edge.name))
csa = a.SectionAssignment(region=a.sets[setname], sectionName=connSect)
co = a.ConnectorOrientation(region=csa.getSet())
point1 = mdb.models['Edgeflap'].rootAssembly.referencePoints[32]
point2 = mdb.models['Edgeflap'].rootAssembly.instances['Arm_PO-1'].vertices.findAt((
    9.04, 8.25, 0.0), )
setname = 'Join_P_CnSet'
connSect = 'Connector_property_join'
edge = a.WirePolyLine(points=((point1, point2), ), mergeWire=OFF, meshable=OFF)
a.Set(name=setname, edges=a.getFeatureEdges(edge.name))
csa = a.SectionAssignment(region=a.sets[setname], sectionName=connSect)
co = a.ConnectorOrientation(region=csa.getSet())
#
#  --------------------------------
#  Create connector property 'link'
#  --------------------------------
#
import interaction
mdb.models['Edgeflap'].ConnectorSection(name='Connector_property_link', assembledType=NONE,
    translationalType=LINK, rotationalType=NONE)
#
#
#  ------------------------
#  Create 'link' connectors
#  ------------------------
#
a0 = mdb.models['Edgeflap'].rootAssembly
v1 = a0.instances['Arm_DEFG-1'].vertices
v2 = a0.instances['Arm_MLJ-1'].vertices
point1=v1.findAt(
    (0.95, 9.41, 0.0), )
point2=v2.findAt(
    (5.08, 9.83, 0.0), )
setname = 'Link_GL_CnSet'
connSect = 'Connector_property_link'
edge = a.WirePolyLine(points=((point1, point2), ), mergeWire=OFF, meshable=OFF)
a.Set(name=setname, edges=a.getFeatureEdges(edge.name))
csa = a.SectionAssignment(region=a.sets[setname], sectionName=connSect)
co = a.ConnectorOrientation(region=csa.getSet())
a0 = mdb.models['Edgeflap'].rootAssembly
v1 = a0.instances['Arm_JK-1'].vertices
v2 = a0.instances['Arm_PO-1'].vertices
point1=v1.findAt((
    8.52, 9.18, 0.0), )
point2=v2.findAt((
    9.12, 8.97, 0.0), )
setname = 'Link_KO_CnSet'
connSect = 'Connector_property_link'
edge = a.WirePolyLine(points=((point1, point2), ), mergeWire=OFF, meshable=OFF)
a.Set(name=setname, edges=a.getFeatureEdges(edge.name))
csa = a.SectionAssignment(region=a.sets[setname], sectionName=connSect)
co = a.ConnectorOrientation(region=csa.getSet())
a = mdb.models['Edgeflap'].rootAssembly
v1 = a.instances['Arm_DEFG-1'].vertices
v2 = a.instances['Arm_NK-1'].vertices
point1=v1.findAt(
    (0.95, 9.41, 0.0), )
point2=v2.findAt((
    8.57, 8.22, 0.0), )
setname = 'Link_GN_CnSet'
connSect = 'Connector_property_link'
edge = a.WirePolyLine(points=((point1, point2), ), mergeWire=OFF, meshable=OFF)
a.Set(name=setname, edges=a.getFeatureEdges(edge.name))
csa = a.SectionAssignment(region=a.sets[setname], sectionName=connSect)
co = a.ConnectorOrientation(region=csa.getSet())
a = mdb.models['Edgeflap'].rootAssembly
v1 = a.instances['Arm_MLJ-1'].vertices
v2 = a.instances['Arm_NK-1'].vertices
point1=v1.findAt(
    (5.08, 9.83, 0.0), )
point2=v2.findAt((
    8.57, 8.22, 0.0), )
setname = 'Link_LN_CnSet'
connSect = 'Connector_property_link'
edge = a.WirePolyLine(points=((point1, point2), ), mergeWire=OFF, meshable=OFF)
a.Set(name=setname, edges=a.getFeatureEdges(edge.name))
csa = a.SectionAssignment(region=a.sets[setname], sectionName=connSect)
co = a.ConnectorOrientation(region=csa.getSet())
a = mdb.models['Edgeflap'].rootAssembly
v1 = a.instances['Arm_DEFG-1'].vertices
v2 = a.instances['Arm_PO-1'].vertices
point1=v1.findAt(
    (0.95, 9.41, 0.0), )
point2=v2.findAt((
    9.04, 8.25, 0.0), )
setname = 'Link_GP_CnSet'
connSect = 'Connector_property_link'
edge = a.WirePolyLine(points=((point1, point2), ), mergeWire=OFF, meshable=OFF)
a.Set(name=setname, edges=a.getFeatureEdges(edge.name))
csa = a.SectionAssignment(region=a.sets[setname], sectionName=connSect)
co = a.ConnectorOrientation(region=csa.getSet())
#: The connector "Conn-21" has been created.
a = mdb.models['Edgeflap'].rootAssembly
v1 = a.instances['Arm_MLJ-1'].vertices
v2 = a.instances['Arm_PO-1'].vertices
point1=v1.findAt(
    (5.08, 9.83, 0.0), )
point2=v2.findAt((
    9.04, 8.25, 0.0), )
setname = 'Link_LP_CnSet'
connSect = 'Connector_property_link'
edge = a.WirePolyLine(points=((point1, point2), ), mergeWire=OFF, meshable=OFF)
a.Set(name=setname, edges=a.getFeatureEdges(edge.name))
csa = a.SectionAssignment(region=a.sets[setname], sectionName=connSect)
co = a.ConnectorOrientation(region=csa.getSet())
session.viewports['Viewport: 1'].assemblyDisplay.setValues(loads=ON, bcs=ON,
    predefinedFields=ON, interactions=OFF, constraints=OFF)
#
#
#  ---------------------------------------
#  Rotate Connector 1 to extend the flap
#  ---------------------------------------
#
a = mdb.models['Edgeflap'].rootAssembly
r1 = a.instances['Arm_AB-1'].referencePoints
refPoints1=(r1[3], )
region = regionToolset.Region(referencePoints=refPoints1)
mdb.models['Edgeflap'].DisplacementBC(name='BC-1', createStepName='Step-1',
    region=region, u1=UNSET, u2=UNSET, ur3=1.5708, amplitude=UNSET, fixed=OFF,
    distributionType=UNIFORM, localCsys=None)
session.viewports['Viewport: 1'].view.fitView()
#
#
#
#  --------------------------
#  End edgeflap_connectors.py
#  --------------------------
#
##--------------------------------------------------------------------------
# Creation of the job
##--------------------------------------------------------------------------
import job
session.viewports['Viewport: 1'].view.fitView()
mdb.Job(name='edgeflap', model='Edgeflap', type=ANALYSIS,
    explicitPrecision=SINGLE, nodalOutputPrecision=SINGLE, description='',
    userSubroutine='', numCpus=1, scratch='', echoPrint=OFF, modelPrint=OFF,
    contactPrint=OFF, historyPrint=OFF)
mdb.saveAs('edgeflap')
